Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class SerialMonitor

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.monitors.MonitorFactory
              avrora.monitors.SerialMonitor

All Implemented Interfaces:
  HelpItem

public class SerialMonitor
extends MonitorFactory

The `SerialMonitor` class is a monitor that that is capable of setting up a virtual usart connection to the pc. You can connect the TinyOS serial forwarder to the port 2390.

Nested Class Summary
`class` | `SerialMonitor.Monitor` The `SerialMonitor` class is a monitor that connects the USART of a node to a socket that allows data to be read and written from the simulation.

Field Summary
`protected Option.Long` | `NODE`
`protected Option.Long` | `PORT`

Fields inherited from class avrora.monitors.MonitorFactory
`options`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`SerialMonitor()` The constructor for the `SerialMonitor` class builds a new `MonitorFactory` capable of creating monitors for each `Simulator` instance passed to the `newMonitor()` method.

Method Summary
`Monitor` | `newMonitor(Simulator s)` The `newMonitor()` method creates a new monitor that is capable of setting up a virtual usart connection to the pc.

Methods inherited from class avrora.monitors.MonitorFactory
`processOptions`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORT

    protected final Option.Long PORT

### NODE

    protected final Option.Long NODE

Constructor Detail

### SerialMonitor

    public SerialMonitor()

  The constructor for the `SerialMonitor` class builds a new `MonitorFactory` capable of creating monitors for each `Simulator` instance passed to the `newMonitor()` method.

Method Detail

### newMonitor

    public Monitor newMonitor(Simulator s)

  The `newMonitor()` method creates a new monitor that is capable of setting up a virtual usart connection to the pc. You can connect the TinyOS serial forwarder to the port 2390.

  Specified by:
    `newMonitor` in class `MonitorFactory`
  Parameters:
    `s` - the simulator to create a monitor for
  Returns:
    an instance of the `Monitor` interface for the specified simulator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD